var _excluded = ["visible", "value", "onSearch"];

function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

import React from 'react';
import Input from "./../../Input";
import locale from "./../../locale"; // 国际化
// 搜索框

var Search = function Search(_ref) {
  var value = _ref.value,
      onChange = _ref.onChange,
      searchProps = _ref.searchProps,
      _ref$throttle = _ref.throttle,
      throttle = _ref$throttle === void 0 ? 500 : _ref$throttle,
      searchRender = _ref.searchRender;

  // 搜索项属性
  var _ref2 = searchProps || {},
      searchVisible = _ref2.visible,
      searchValue = _ref2.value,
      onSearch = _ref2.onSearch,
      otherSearchProps = _objectWithoutProperties(_ref2, _excluded);

  function handleChange(newKeyword) {
    // 节流搜索
    if (window.timeout) {
      window.clearTimeout(window.timeout);
    }

    window.timeout = window.setTimeout(function () {
      if (onChange) onChange(newKeyword);
      if (onSearch) onSearch(newKeyword);
    }, throttle);
  } // 不显示则不渲染


  if (!searchVisible) return null; // 自定义渲染

  if (typeof searchRender === 'function') {
    var searchNode = searchRender({
      value: value,
      onChange: onChange,
      // 搜索
      searchProps: searchProps,
      // 节流时长
      throttle: throttle
    });
    if (searchNode) return searchNode;
  }

  return /*#__PURE__*/React.createElement(React.Fragment, null, searchVisible && /*#__PURE__*/React.createElement(Input.Text, _extends({
    placeholder: locale('搜索', 'input_search_placeholder'),
    onChange: handleChange,
    className: "treepicker-search-input",
    defaultValue: value,
    allowClear: true
  }, otherSearchProps)));
};

export default Search;